/*
 *  Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 *  Use of this source code is governed by a MIT license that can be found in the LICENS file
 */

import 'package:flutter/widgets.dart';
import 'package:yunxin_meeting_assets/yunxin_meeting_assets.dart';

class NEMeetingIconFont {
  static const String _family = 'iconfont';

  NEMeetingIconFont._();
  static const IconData icon_fail = IconData(0xe602,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_loading = IconData(0xe601,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_other_file = IconData(0xe61a,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_download = IconData(0xe611,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_unfold = IconData(0xe60e,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_file = IconData(0xe60f,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_image = IconData(0xe610,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_voice_offx = IconData(0xe761,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_voice_onx = IconData(0xe763,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_video_onx = IconData(0xe760,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_video_offx = IconData(0xe762,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_invitex = IconData(0xe764,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_attendeex = IconData(0xe765,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_duankaix = IconData(0xe768,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_filpx = IconData(0xe76e,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_pc_successx = IconData(0xe76f,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_returnx = IconData(0xe788,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_input_clearx = IconData(0xe789,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_allowx = IconData(0xe7a5,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_layout_bx = IconData(0xe7b2,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_layout_ax = IconData(0xe7b3,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_sharescreen = IconData(0xe7b9,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_yx_tv_more1x = IconData(0xe7fd,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_earpiece1x = IconData(0xe7ff,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_amplify = IconData(0xe800,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_headset1x = IconData(0xe801,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_certification1x = IconData(0xe817,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_copy1x = IconData(0xe818,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_narrow_line = IconData(0xe819,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_search2_line1x = IconData(0xe81a,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_raisehands = IconData(0xe81b,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_beauty1x = IconData(0xe81c,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_triangle_down = IconData(0xe7f4,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_chat = IconData(0xe828,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_live = IconData(0xe848,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
  static const IconData icon_whiteboard = IconData(0xe607,
      fontPackage: meetingAssetsPackageName, fontFamily: _family);
}
