/*
 *  Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 *  Use of this source code is governed by a MIT license that can be found in the LICENS file
 */

import 'package:flutter/widgets.dart';
import 'package:yunxin_meeting_assets/yunxin_meeting_assets.dart';

class NEMeetingImages {

  static const String package = meetingAssetsPackageName;

  static const String meetingJoin = "assets/images/icon_meeting_joining.png";
  static const String hangup = "assets/images/icon_hangup.png";
  static const String controlCreateMeeting = "assets/images/icon_control_create_meeting.png";
  static const String controlJoinMeeting = "assets/images/icon_control_join_meeting.png";
  static const String controlDisconnectMeeting = "assets/images/icon_control_disconnect_meeting.png";
  static const String stopMeeting = "assets/images/icon_control_stop_meeting.png";
  static const String leaveMeeting = "assets/images/icon_control_leave_meeting.png";
  static const String arrowRightGray = "assets/images/right_gray.png";
  static const String arrowRightWhite = "assets/images/right_white.png";
  static const String arrowLeftWhite = "assets/images/left_white.png";
  static const String otherFile = "assets/images/icon_other.png";
  static const String excelFile = "assets/images/icon_excel.png";
  static const String compressFile = "assets/images/icon_compress.png";
  static const String pdfFile = "assets/images/icon_pdf.png";
  static const String pptFile = "assets/images/icon_ppt.png";
  static const String wordFile = "assets/images/icon_word.png";

  static Image assetImage(String image) => Image.asset(image, package: meetingAssetsPackageName);
}